Package com.mockobjects.constraint

# Class IsEqual

java.lang.Object
com.mockobjects.constraint.IsEqual

All Implemented Interfaces:
  `Constraint`

public class IsEqual extends Object implements Constraint
Is the value equal to another value, as tested by the `Object.equals(java.lang.Object)` method?

## Constructor Summary

Constructors
Constructor
Description
`IsEqual(Object equalArg)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object anObject)`
`boolean`
`eval(Object arg)`
Evaluates the constraint for argument o.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IsEqual

public IsEqual(Object equalArg)

## Method Details

### eval

public boolean eval(Object arg)
Description copied from interface: `Constraint`
Evaluates the constraint for argument o.

Specified by:
  `eval` in interface `Constraint`
Returns:
  `true` if o meets the constraint, `false` if it does not.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object anObject)

Overrides:
  `equals` in class `Object`